<?php

function IMPORT_XML() {
 //funkcja do jednorazowego wgrania xmla z TERYTY 2014-05-05
 die();
 DB::query('set global max_allowed_packet=1000000000;');
// $res=DB::query($sql);
  $xml = simplexml_load_file('/tmp/simc.xml');
  $i=0;

echo 'dupa';  
//var_dump($xml);
  foreach($xml->catalog->row as $row) {

  
  $i++;
  
  DEBUG_S(-3,'row',$row->col);
//  DB::ADD_NEW_OBJ( 'SIMC', $row );
   unset($sql);
  foreach($row->col as $col) {
   if(!isset($sql))
    $sql="insert into SIMC values ('".$col."'";
   else $sql.=",'".$col."'";
  } 
   $sql.=")";
   
   //echo $sql;
   
   //die();
     DB::query($sql);
  
   if($i>10) { flush(); 
   ECHO $i;
   $i=0;
   }
  
  
  
  }
//  DEBUG_S(-3,'xml',$xml);

}

